<?php

namespace App\ViewModels\LojaCompra\LojaCompraMedicinaCarinhoRegistrationViewModel;

use App\Utils\Builder;

class LojaCompraMedicinaCarinhoRegistrationViewModelBuilder implements Builder {
	protected $id_loja;
	protected $id_usuario;
	protected $valor;
	protected $id_loja_tipo_compra;
	protected $data_requisicao;
	protected $hora_requisicao;
	protected $id_status;

	public function build(): LojaCompraMedicinaCarinhoRegistrationViewModel {

		$obj = new LojaCompraMedicinaCarinhoRegistrationViewModel();
		
		$obj->setIdLoja($this->id_loja);
		$obj->setIdUsuario($this->id_usuario);
		$obj->setIdLojaTipoCompra($this->id_loja_tipo_compra);
		$obj->setIdStatus($this->id_status);
		$obj->setValor($this->valor);
		$obj->setDataRequisicao($this->data_requisicao);
		$obj->setHoraRequisicao($this->hora_requisicao);

		return $obj;

	}

	/**
	 *
	 * @param mixed $id_loja
	 */
	public function setIdLoja($id_loja): LojaCompraMedicinaCarinhoRegistrationViewModelBuilder {

		$this->id_loja = $id_loja;
		return $this;
	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario): LojaCompraMedicinaCarinhoRegistrationViewModelBuilder {

		$this->id_usuario = $id_usuario;
		return $this;
	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): LojaCompraMedicinaCarinhoRegistrationViewModelBuilder {

		$this->valor = $valor;
		return $this;
	}

	/**
	 *
	 * @param mixed $id_loja_tipo_compra
	 */
	public function setIdLojaTipoCompra($id_loja_tipo_compra): LojaCompraMedicinaCarinhoRegistrationViewModelBuilder {

		$this->id_loja_tipo_compra = $id_loja_tipo_compra;
		return $this;
	}

	/**
	 *
	 * @param mixed $data_requisicao
	 */
	public function setDataRequisicao($data_requisicao): LojaCompraMedicinaCarinhoRegistrationViewModelBuilder {

		$this->data_requisicao = $data_requisicao;
		return $this;
	}

	/**
	 *
	 * @param mixed $hora_requisicao
	 */
	public function setHoraRequisicao($hora_requisicao): LojaCompraMedicinaCarinhoRegistrationViewModelBuilder {

		$this->hora_requisicao = $hora_requisicao;
		return $this;
	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status): LojaCompraMedicinaCarinhoRegistrationViewModelBuilder {

		$this->id_status = $id_status;
		return $this;

	}

}

